<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelBehaviour Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelBehaviour Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelBehaviour" --><!-- doxytag: inherits="iBase" -->
<p>This is an entity in the CEL layer at the BL (behaviour layer) side.  
 <a href="structiCelBehaviour.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="behave_8h_source.html">behaviourlayer/behave.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelBehaviour:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelBehaviour.png" usemap="#iCelBehaviour_map" alt=""/>
  <map id="iCelBehaviour_map" name="iCelBehaviour_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,92,24"/>
</map>
 </div></div>

<p><a href="structiCelBehaviour-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelBlLayer.html">iCelBlLayer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBehaviour.html#a1eaf0d56e221b02cb5883ddcc5ef2009">GetBehaviourLayer</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the behaviour layer that created this behaviour.  <a href="#a1eaf0d56e221b02cb5883ddcc5ef2009"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBehaviour.html#a159d449ba2285d587844e4f85d58b912">GetInternalObject</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a function intended for implementations of behaviour layers.  <a href="#a159d449ba2285d587844e4f85d58b912"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBehaviour.html#aa2ba63c6f112f59ae8139f60457758cd">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this behaviour (was used in the call to <a class="el" href="structiCelBlLayer.html#a389051ac8b271f2af55861b394cc7832" title="Create a new behaviour layer entity.">iCelBlLayer::CreateBehaviour()</a>).  <a href="#aa2ba63c6f112f59ae8139f60457758cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBehaviour.html#ad52d49a02902d72f2cb3ff8934b21758">SendMessage</a> (const char *msg_id, <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *pc, <a class="el" href="structcelData.html">celData</a> &amp;ret, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params,...)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a message to this entity.  <a href="#ad52d49a02902d72f2cb3ff8934b21758"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBehaviour.html#ac41d70cc01d673ca39a2afc883d5d793">SendMessageV</a> (const char *msg_id, <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *pc, <a class="el" href="structcelData.html">celData</a> &amp;ret, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params, va_list arg)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a message to this entity.  <a href="#ac41d70cc01d673ca39a2afc883d5d793"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is an entity in the CEL layer at the BL (behaviour layer) side. </p>

<p>Definition at line <a class="el" href="behave_8h_source.html#l00067">67</a> of file <a class="el" href="behave_8h_source.html">behave.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1eaf0d56e221b02cb5883ddcc5ef2009"></a><!-- doxytag: member="iCelBehaviour::GetBehaviourLayer" ref="a1eaf0d56e221b02cb5883ddcc5ef2009" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelBlLayer.html">iCelBlLayer</a>* <a class="el" href="structiCelBehaviour.html#a1eaf0d56e221b02cb5883ddcc5ef2009">iCelBehaviour::GetBehaviourLayer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the behaviour layer that created this behaviour. </p>

</div>
</div>
<a class="anchor" id="a159d449ba2285d587844e4f85d58b912"></a><!-- doxytag: member="iCelBehaviour::GetInternalObject" ref="a159d449ba2285d587844e4f85d58b912" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void* <a class="el" href="structiCelBehaviour.html#a159d449ba2285d587844e4f85d58b912">iCelBehaviour::GetInternalObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is a function intended for implementations of behaviour layers. </p>
<p>It returns a pointer to an internal object. For example, in case of a Python behaviour layer it would return a pointer to the actual Python object handle (PyObject pointer). Some behaviour layers may not need this and return 0 in that case. User-code should NEVER call this function or depend on it! </p>

</div>
</div>
<a class="anchor" id="aa2ba63c6f112f59ae8139f60457758cd"></a><!-- doxytag: member="iCelBehaviour::GetName" ref="aa2ba63c6f112f59ae8139f60457758cd" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelBehaviour.html#aa2ba63c6f112f59ae8139f60457758cd">iCelBehaviour::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this behaviour (was used in the call to <a class="el" href="structiCelBlLayer.html#a389051ac8b271f2af55861b394cc7832" title="Create a new behaviour layer entity.">iCelBlLayer::CreateBehaviour()</a>). </p>

</div>
</div>
<a class="anchor" id="ad52d49a02902d72f2cb3ff8934b21758"></a><!-- doxytag: member="iCelBehaviour::SendMessage" ref="ad52d49a02902d72f2cb3ff8934b21758" args="(const char *msg_id, iCelPropertyClass *pc, celData &amp;ret, iCelParameterBlock *params,...)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelBehaviour.html#ad52d49a02902d72f2cb3ff8934b21758">iCelBehaviour::SendMessage</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>pc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcelData.html">celData</a> &amp;&#160;</td>
          <td class="paramname"><em>ret</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Send a message to this entity. </p>
<p>Returns true if the message was understood and handled by the entity. The 'ret' parameter can be used to return values. </p>

</div>
</div>
<a class="anchor" id="ac41d70cc01d673ca39a2afc883d5d793"></a><!-- doxytag: member="iCelBehaviour::SendMessageV" ref="ac41d70cc01d673ca39a2afc883d5d793" args="(const char *msg_id, iCelPropertyClass *pc, celData &amp;ret, iCelParameterBlock *params, va_list arg)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelBehaviour.html#ac41d70cc01d673ca39a2afc883d5d793">iCelBehaviour::SendMessageV</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>pc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structcelData.html">celData</a> &amp;&#160;</td>
          <td class="paramname"><em>ret</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">va_list&#160;</td>
          <td class="paramname"><em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Send a message to this entity. </p>
<p>Returns true if the message was understood and handled by the entity. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>behaviourlayer/<a class="el" href="behave_8h_source.html">behave.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
